/**
 * Header file for specifc scheme "Load Balancing" logic.
 */


// System Import Headers.
#include <ctype.h>
#include <mpi.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>


// Function Prototypes.
void arr_run();             // Encapsulated logic for "Asynchronous Round Robin" load scheme.
void arr_main();            // Main process logic for "Asynchronous Round Robin" load scheme.
void arr_worker();          // Worker process logic for "Asynchronous Round Robin" load scheme.

void grr_run();             // Encapsulated logic for "Global Round Robin" load scheme.
void grr_main();            // Main process logic for "Global Round Robin" load scheme.
void grr_worker();          // Worker process logic for "Global Round Robin" load scheme.

void rp_run();              // Encapsulated logic for "Random Polling" load scheme.
void rp_main();             // Main process logic for "Random Polling" load scheme.
void rp_worker();           // Worker process logic for "Random Polling" load scheme.

void nn_run();              // Encapsulated logic for "Nearest Neighbor" load scheme.
void nn_main();             // Main process logic for "Nearest Neighbor" load scheme.
void nn_worker();           // Worker process logic for "Nearest Neighbor" load scheme.
